Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706400 - sys-fs/ncdu-1.14.1 : fails to build with -fno-common or gcc-10
Summary: sys-fs/ncdu-1.14.1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Thomas Deutschmann
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-26 08:30 UTC by Toralf Förster
Modified: 2020-02-14 15:08 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.00 KB, text/plain)
2020-01-26 08:30 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,78.86 KB, text/plain)
2020-01-26 08:30 UTC, Toralf Förster
Details
environment (environment,18.53 KB, text/plain)
2020-01-26 08:30 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.75 KB, application/x-bzip)
2020-01-26 08:30 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,6.09 KB, application/x-bzip)
2020-01-26 08:30 UTC, Toralf Förster
Details
sys-fs:ncdu-1.14.1:20200126-080320.log (sys-fs:ncdu-1.14.1:20200126-080320.log,14.95 KB, text/plain)
2020-01-26 08:30 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,8.46 KB, application/x-bzip)
2020-01-26 08:30 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-26 08:30:35 UTC
src/util.c:434:42: note: in expansion of macro ‘wrap_oom’
  434 | void *xrealloc(void *mem, size_t size) { wrap_oom(realloc(mem, size)) }
      |                                          ^~~~~~~~
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o ncdu src/browser.o src/delete.o src/dirlist.o src/dir_common.o src/dir_export.o src/dir_import.o src/dir_mem.o src/dir_scan.o src/exclude.o src/help.o src/shell.o src/quit.o src/main.o src/path.o src/util.o  -lncursesw -ltinfow 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: src/delete.o:(.bss+0x0): multiple definition of `dir_process'; src/browser.o:(.bss+0x0): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: src/delete.o:(.bss+0x8): multiple definition of `confirm_quit'; src/browser.o:(.bss+0x8): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 26 Jan 2020 07:06:11 +0000

emerge -qpvO sys-fs/ncdu
[ebuild  N    ] sys-fs/ncdu-1.14.1
Comment 1 Toralf Förster gentoo-dev 2020-01-26 08:30:38 UTC
Created attachment 604508 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-26 08:30:41 UTC
Created attachment 604510 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-26 08:30:44 UTC
Created attachment 604512 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-26 08:30:46 UTC
Created attachment 604514 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-26 08:30:49 UTC
Created attachment 604516 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-26 08:30:52 UTC
Created attachment 604518 [details]
sys-fs:ncdu-1.14.1:20200126-080320.log
Comment 7 Toralf Förster gentoo-dev 2020-01-26 08:30:55 UTC
Created attachment 604520 [details]
temp.tbz2
Comment 8 Sergei Trofimovich gentoo-dev 2020-01-26 11:41:54 UTC
Seems to be fixed upstream as https://g.blicky.net/ncdu.git/commit/?id=ecb71f25501bc78efdaaa2535e95a58d11e09e5a
Comment 9 Yorhel 2020-02-12 09:12:52 UTC
That patch is included in 1.14.2, a package bump ought to fix it.
Comment 10 Larry the Git Cow gentoo-dev 2020-02-14 15:08:05 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5d97651f0537f9c7f7700d109022e4c27a8465b

commit e5d97651f0537f9c7f7700d109022e4c27a8465b
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-02-14 15:07:08 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-02-14 15:07:58 +0000

    sys-fs/ncdu: bump to v1.14.2
    
    Closes: https://bugs.gentoo.org/706400
    Package-Manager: Portage-2.3.88, Repoman-2.3.20
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 sys-fs/ncdu/Manifest           |  1 +
 sys-fs/ncdu/ncdu-1.14.2.ebuild | 20 ++++++++++++++++++++
 2 files changed, 21 insertions(+)